Package com.io7m.cedarbridge.schema.compiled

# Record Class CBExternalName

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.compiled.CBExternalName

Record Components:
  `externalPackage` - The name of the external package
  `externalName` - The name of the external type

public record CBExternalName(String externalPackage, String externalName) extends Record
The type of external names that can be used during code generation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBExternalName(String externalPackage, String externalName)`
  The type of external names that can be used during code generation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `externalName()`
  Returns the value of the `externalName` record component.
  `String`
  `externalPackage()`
  Returns the value of the `externalPackage` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBExternalName

    public CBExternalName(String externalPackage, String externalName)
    The type of external names that can be used during code generation.
    Parameters:
      `externalPackage` - The name of the external package
      `externalName` - The name of the external type

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### externalPackage

    public String externalPackage()
    Returns the value of the `externalPackage` record component.
    Returns:
      the value of the `externalPackage` record component

  - ### externalName

    public String externalName()
    Returns the value of the `externalName` record component.
    Returns:
      the value of the `externalName` record component